NormalContentEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.selection
Class NormalContentEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.selection.ServiceContextEvent
              javax.tv.service.selection.PresentationChangedEvent
                  javax.tv.service.selection.NormalContentEvent

All Implemented Interfaces:
  Serializable

    public class NormalContentEvent

extends PresentationChangedEvent

`NormalContentEvent` is generated to indicate that the normal content of a service is being presented. This event will be generated in two situations:

- At the end of a successful service selection operation, this event will be generated as long as all of the service components being presented are part of the normal content of the service. The generation of this event in this situation signals a change in state of the service context from the presentation pending state to the presenting state. If even one of the service components being presented is alternative content (as defined in `AlternativeContentEvent`) then that event will be generated instead.
- During the presentation of a service, this event will be generated if alternative content was being presented and all of that alternative content is replaced by content which is a normal part of the service. An example of this is when an end user completes a pay per view dialog the video advertising a service is replaced by the service itself.

See Also:
  `AlternativeContentEvent`, Serialized Form

Constructor Summary
`NormalContentEvent(ServiceContext source)` Constructs the event.

Method Summary

Methods inherited from class javax.tv.service.selection.ServiceContextEvent
`getServiceContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NormalContentEvent

    public NormalContentEvent(ServiceContext source)

  Constructs the event.

  Parameters:
    `source` - The `ServiceContext` that generated the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD